> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new entity



## OpenAPI

````yaml /api-reference/4.2/service-query-profiles-crud.json post /query-profiles
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-profiles-crud
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-profiles-crud
paths:
  /query-profiles:
    post:
      tags:
        - 4.2 Query Profiles CRUD API
      summary: Create a new entity
      operationId: createEntity
      requestBody:
        $ref: '#/components/requestBodies/QueryProfile'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  requestBodies:
    QueryProfile:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/QueryProfile'
      description: JSON-formatted configuration values
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
    QueryProfile:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        queryPipeline:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        searchHandler:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
        experiment:
          $ref: '#/components/schemas/ExperimentReference'
    ParamAndValue:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        policy:
          type: string
          readOnly: true
          enum:
            - REPLACE
            - APPEND
            - REMOVE
            - DEFAULT
    ExperimentReference:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        percentOfTraffic:
          type: number
          format: double
          readOnly: true

````